zenilib: SDL_DisplayMode Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_DisplayMode Struct Reference

The structure that defines a display mode. More...

`#include <SDL_video.h>`

## Public Attributes

void * | driverdata
Uint32 | format
int | h
int | refresh_rate
int | w

## Detailed Description

The structure that defines a display mode.

See Also
  SDL_GetNumDisplayModes()
  SDL_GetDisplayMode()
  SDL_GetDesktopDisplayMode()
  SDL_GetCurrentDisplayMode()
  SDL_GetClosestDisplayMode()
  SDL_SetWindowDisplayMode()
  SDL_GetWindowDisplayMode()

Definition at line 53 of file SDL_video.h.

## Member Data Documentation

void* SDL_DisplayMode::driverdata

driver-specific data, initialize to 0

Definition at line 59 of file SDL_video.h.

Referenced by SDL_GetClosestDisplayModeForDisplay(), and SDL_VideoQuit().

Uint32 SDL_DisplayMode::format

pixel format

Definition at line 55 of file SDL_video.h.

Referenced by cmpmodes(), SDL_GetClosestDisplayModeForDisplay(), SDL_GetWindowPixelFormat(), SDL_SetDisplayModeForDisplay(), and SDLTest_CommonInit().

int SDL_DisplayMode::h

height

Definition at line 57 of file SDL_video.h.

Referenced by cmpmodes(), SDL_GetClosestDisplayModeForDisplay(), SDL_GetDisplayBounds(), SDL_GetWindowDisplayMode(), SDL_SetDisplayModeForDisplay(), SDL_UpdateFullscreenMode(), SDLTest_CommonInit(), and Zeni::Window::Window().

int SDL_DisplayMode::refresh_rate

refresh rate (or zero for unspecified)

Definition at line 58 of file SDL_video.h.

Referenced by cmpmodes(), SDL_GetClosestDisplayModeForDisplay(), SDL_SetDisplayModeForDisplay(), and SDLTest_CommonInit().

int SDL_DisplayMode::w

width

Definition at line 56 of file SDL_video.h.

Referenced by cmpmodes(), SDL_GetClosestDisplayModeForDisplay(), SDL_GetDisplayBounds(), SDL_GetWindowDisplayMode(), SDL_SetDisplayModeForDisplay(), SDL_UpdateFullscreenMode(), SDLTest_CommonInit(), and Zeni::Window::Window().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_video.h